﻿------------------------------------------------------------------------------------------
--Announcer Function----------------------------------------------------------------------
------------------------------------------------------------------------------------------
local SN, L, F, T, M, _ = unpack(select(2,...))

local SendChatMessage = SendChatMessage
local UnitIsGroupLeader = UnitIsGroupLeader
local UnitName = UnitName
local GetSpellLink = GetSpellLink

--Announce Cooldowns
function SN:Announcer(frame, timer, spellId, caster, destName, token)

	--Is the announce setting and in a raid and are you the leader...otherwise no spam for you
	if (SN.data.profile.cooldown.castannounce) and (UnitIsGroupLeader("player")) then
		local dur = timer / 60

		if F.cooldowns and token then
			
			if IsInGroup(LE_PARTY_CATEGORY_INSTANCE) then
				SendChatMessage(caster..L[" casts "]..GetSpellLink(spellId).." "..dur.." min".." CD", "INSTANCE_CHAT")
			else
				SendChatMessage(caster..L[" casts "]..GetSpellLink(spellId).." "..dur.." min".." CD", "RAID")
			end
		elseif F.cooldowns and not token then
			SendChatMessage(caster..L[" casts "]..GetSpellLink(spellId).." "..dur.." min".." CD", "PARTY")
		end
	end
	
	if (SN.data.profile.threat.enable) then
		if frame == F.threat and token then
			SendChatMessage(UnitName("player")..L[" casts {star} "]..GetSpellLink(spellId)..L[" {star} on you!"], "WHISPER", nil, destName)
		elseif frame == F.threat and not token then
			SendChatMessage(UnitName("player")..L[" tried to cast {star} "]..GetSpellLink(spellId)..
									L[" {star} on you, but you're on your stupid mount."], "WHISPER", nil, destName)
		end
	end
		
	--if frame == SN.F.cc and token then
	--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "RAID")
	--elseif frame == SN.F.cc and not token then
	--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "PARTY")
	--end	
end
